> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-segment-and-feed-operations/file-delivery-source.md).

# File Delivery Source

Operations related to File Delivery Sources that store connection information (credentials, addresses, paths) for sources like SFTP or S3 used to pull files.

## GET /file\_delivery\_sources

> Search File delivery source

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"File Delivery Source","description":"Operations related to File Delivery Sources that store connection information (credentials, addresses, paths) for sources like SFTP or S3 used to pull files."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/file_delivery_sources":{"get":{"parameters":[{"explode":true,"in":"query","style":"form","schema":{"type":"string"},"required":false,"name":"token"},{"description":"Offset from which the search must be performed","explode":true,"in":"query","style":"form","name":"first_result","required":false,"schema":{"type":"integer","format":"int32"}},{"explode":true,"in":"query","schema":{"type":"integer","format":"int32"},"description":"Number of maximum items that shall be return by this search","name":"max_results","style":"form","required":false},{"name":"organisation_id","schema":{"type":"integer","format":"int64"},"required":true,"style":"form","in":"query","description":"Organisation owning the file delivery source","explode":true},{"explode":true,"in":"query","schema":{"type":"array","items":{"type":"string"}},"style":"form","name":"order_by","description":"Fields used to order the result","required":false},{"required":false,"name":"keywords","style":"form","in":"query","description":"The keywords to match with file delivery source names","explode":true,"schema":{"type":"string"}}],"summary":"Search File delivery source","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"max_results":{"type":"integer"},"total":{"type":"integer"},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/FileDeliverySourceResource"}},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findFileDeliverySources","tags":["File Delivery Source"]}}},"components":{"schemas":{"FileDeliverySourceResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"credentials_private_datafile":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/FileDeliveryType"},"file_path":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":true}},"required":["file_path","id","name","organisation_id","technical_name","token","type"]},"FileDeliveryType":{"type":"string","enum":["SFTP","S3","GOOGLE_CLOUD_STORAGE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /file\_delivery\_sources

> Create a File delivery source

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"File Delivery Source","description":"Operations related to File Delivery Sources that store connection information (credentials, addresses, paths) for sources like SFTP or S3 used to pull files."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/file_delivery_sources":{"post":{"requestBody":{"description":"The file delivery destination to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileDeliverySourceResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/FileDeliverySourceResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"createFileDeliverySources","tags":["File Delivery Source"],"description":"","summary":"Create a File delivery source"}}},"components":{"schemas":{"FileDeliverySourceResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"credentials_private_datafile":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/FileDeliveryType"},"file_path":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":true}},"required":["file_path","id","name","organisation_id","technical_name","token","type"]},"FileDeliveryType":{"type":"string","enum":["SFTP","S3","GOOGLE_CLOUD_STORAGE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /file\_delivery\_sources/{id}

> Get File delivery source

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"File Delivery Source","description":"Operations related to File Delivery Sources that store connection information (credentials, addresses, paths) for sources like SFTP or S3 used to pull files."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/file_delivery_sources/{id}":{"get":{"operationId":"getFileDeliverySource","summary":"Get File delivery source","parameters":[{"style":"simple","schema":{"type":"string"},"name":"id","in":"path","explode":false,"required":true}],"description":"","tags":["File Delivery Source"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/FileDeliverySourceResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"FileDeliverySourceResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"credentials_private_datafile":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/FileDeliveryType"},"file_path":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":true}},"required":["file_path","id","name","organisation_id","technical_name","token","type"]},"FileDeliveryType":{"type":"string","enum":["SFTP","S3","GOOGLE_CLOUD_STORAGE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /file\_delivery\_sources/{id}/credentials

> Update a Source's credentials

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"File Delivery Source","description":"Operations related to File Delivery Sources that store connection information (credentials, addresses, paths) for sources like SFTP or S3 used to pull files."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/file_delivery_sources/{id}/credentials":{"put":{"requestBody":{"description":"The file delivery source credentials to update","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/FileDeliverySourceResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["File Delivery Source"],"operationId":"updateFileDeliverySourceCredentials","parameters":[{"name":"id","in":"path","style":"simple","schema":{"type":"string"},"required":true,"explode":false}],"summary":"Update a Source's credentials","description":""}}},"components":{"schemas":{"FileDeliverySourceResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"credentials_private_datafile":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/FileDeliveryType"},"file_path":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":true}},"required":["file_path","id","name","organisation_id","technical_name","token","type"]},"FileDeliveryType":{"type":"string","enum":["SFTP","S3","GOOGLE_CLOUD_STORAGE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-segment-and-feed-operations/file-delivery-source.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
